org.apache.lucene.analysis.miscellaneous

## Interface ConcatenateGraphFilter.BytesRefBuilderTermAttribute

- All Superinterfaces:
    Attribute, TermToBytesRefAttribute
  All Known Implementing Classes:
    ConcatenateGraphFilter.BytesRefBuilderTermAttributeImpl
  Enclosing class:
    ConcatenateGraphFilter

      public static interface ConcatenateGraphFilter.BytesRefBuilderTermAttribute
      extends TermToBytesRefAttribute

  Attribute providing access to the term builder and UTF-16 conversion
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `BytesRefBuilder` | `builder()` Returns the builder from which the term is derived.
    `CharSequence` | `toUTF16()` Returns the term represented as UTF-16

    - ### Methods inherited from interface org.apache.lucene.analysis.tokenattributes.TermToBytesRefAttribute

      `getBytesRef`

- - ### Method Detail

    - #### builder

          BytesRefBuilder builder()

      Returns the builder from which the term is derived.

    - #### toUTF16

          CharSequence toUTF16()

      Returns the term represented as UTF-16

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.